Payments

Add Payment

post
chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
Responses
post
/Payments

No content

Get Payments

get
chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information

Example: name eq 'Adam' and age gt 20
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-02-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'paymentSettlements' and 'writeOffs'

Example: 2026-02-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
chevron-right
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get
/Payments

Update Payment

patch

Update Payment details and Add, remove or edit payment settlements and write offs.

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Body
Responses
chevron-right
200

Success

No content

patch
/Payments/{id}

No content

Get Payments by Id

get
chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
chevron-right
200

Success

application/json
idstring · uuidOptional
payerNamestring · nullableOptional
payerInformationstring · nullableOptional
paymentDatestring · date-timeOptional
postedDatestring · date-time · nullableOptional
referencestring · nullableOptional
descriptionstring · nullableOptional
exchangeRatenumber · double · nullableOptional
paymentMethodNamestring · nullableOptional
paymentMethodIdstring · uuid · nullableOptional
paymentBatchNumberstring · nullableOptional
paymentBatchIdstring · uuidOptional
externalBankIdstring · nullableOptional
onlinePaymentIntentIdstring · nullableOptional
onlinePaymentChargeIdstring · nullableOptional
get
/Payments/{id}

Create and Post Payment

post
chevron-right
lockRequired scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
Responses
post
/Payments/CreateAndPost

Last updated

Was this helpful?